function lnpostv=DSGE_MS_Kim_Filter_one_output_4csminwel_mv2(omegam,omegatrue,solution_routine_name,order,n1,n2,n3,n4,nsv,Rm,prior_type_ndxv,simparndx,Yo,Tini,ind_ekf)
% this differs from DSGE_MS_Kim_Filter_one_output since it allows u
% passed a matrix of arguments
% this version allows also for missing values
% differs from previous version in allowing for multiple chains with
% different cardinalities (vector nsv)
nk=size(omegam,2);
sim1ndx=simparndx==1;
lnprior_const=DSGE_prior_lnconst2(Rm,prior_type_ndxv,nsv);
lnpostv=zeros(1,nk);
for ik=1:nk
    omegav=omegam(:,ik);
    omega1=DSGE_parameter_vector(omegav,simparndx,omegatrue);
    [deltav,lnjac,lnprior]=DSGE_repar2(omega1,Rm,1,prior_type_ndxv,nsv);
    lnprior=lnprior-lnjac+lnprior_const;
    lnprior=sum(lnprior(sim1ndx));
    retcode=1;
    T=size(Yo,1);
    eval(['[retcode,y_,gx,hx,gxx,hxx,gss,hss,eta,etastd]=' solution_routine_name '(order,deltav,n1,n2,n3,n4,nsv);']);
    if retcode==0
        lnpost=1e+200;
    else
        [a_i,A1_i,A2,B_i,c_j,C1_j,C2,D,Sigma_zz,~,~,ctp,pv] = DSGE_MS_state_space_matrices_more_states(gx,hx,gxx,hxx,gss,hss,eta,etastd,deltav,nsv);
        [retcode,lnlv,~,~,~] = DSGE_MS_Kim_Filter_mv(Yo,a_i,A1_i,A2,B_i,c_j,C1_j,C2,D,Sigma_zz,ctp,pv,ind_ekf);
        if retcode==0
            lnpost=1e+200;
        else
            lnl=sum(lnlv(Tini+1:end));
            lnpost=-(lnl+lnprior);
        end
    end
    lnpostv(ik)=lnpost;
end