function lnpost=DSGE_MS_Kim_Filter_one_output_mv2(omegav,omegatrue,solution_routine_name,order,n1,n2,n3,n4,nsv,Rm,prior_type_ndxv,simparndx,Yo,Tini,ind_ekf)
% differs from DSGE_MS_Kim_Filter_one_output in allowing for missing values
% differs from previous version for allowing multiple chains with different cardinalities
% (there is an additional input, nsv, the (nc x 1) vector indicating the cardinalities 
sim1ndx=simparndx==1;
% copy1ndx=find(simparndx>100);
% copy0ndx=simparndx(copy1ndx)-100;
% omega1=omegatrue;
% omega1(sim1ndx)=omegav;
% omega1(copy1ndx)=omega1(copy0ndx);
lnprior_const=DSGE_prior_lnconst2(Rm,prior_type_ndxv,nsv);
omega1=DSGE_parameter_vector(omegav,simparndx,omegatrue);
[deltav,lnjac,lnprior]=DSGE_repar2(omega1,Rm,1,prior_type_ndxv,nsv);
lnprior=lnprior-lnjac+lnprior_const;
lnprior=sum(lnprior(sim1ndx));
retcode=1;
%T=size(Yo,1);
eval(['[retcode,y_,gx,hx,gxx,hxx,gss,hss,eta,etastd]=' solution_routine_name '(order,deltav,n1,n2,n3,n4,nsv);']);
if retcode==0
    lnpost=1e+200;
else
    [a_i,A1_i,A2,B_i,c_j,C1_j,C2,D,Sigma_zz,~,~,ctp,pv] = DSGE_MS_state_space_matrices_more_states(gx,hx,gxx,hxx,gss,hss,eta,etastd,deltav,nsv);
    [retcode,lnlv,~,~,~] = DSGE_MS_Kim_Filter_mv(Yo,a_i,A1_i,A2,B_i,c_j,C1_j,C2,D,Sigma_zz,ctp,pv,ind_ekf);
    if retcode==0
        lnpost=1e+200;
    else
        lnl=sum(lnlv(Tini+1:end));
        lnpost=-(lnl+lnprior);
    end
end