function [datam] = DSGE_MS_dynamic_simulation_new(solution_matrices,z0,em,s0v,ndx_prune)
[a_i,A1_i,A2,B_i,c_j,C1_j,C2,D,a_i_,A1_i_]=v2struct(solution_matrices);
z0q=z0;
z0l=z0;
[nz,nz2,~]=size(B_i);
ny=size(c_j,1);
nh=size(em,2)-1; % em contains shocks from t+0 to t+nh;
% s0v contains states from t to t+nh

datam=zeros(nz+ny,nh+1); 
for ih=0:nh
    s0=s0v(ih+1); %t+ih
    %s1=s0v(ih+2); %t+ih+1
    datam(1:nz,1+ih)=z0q;
    datam(nz+1:end,1+ih)=c_j(:,s0)+C1_j(:,:,s0)*z0q+C2*vech_(z0l*z0l')+D*em(nz2+1:end,1+ih);
    if ih<nh
        z0q    =a_i(:,s0)     + A1_i(:,:,s0)*z0q+A2*vech_(z0l*z0l')+B_i(:,:,s0)*em(1:nz2,ih+2);
        if ndx_prune
            z0l=a_i_(:,s0)     +A1_i_(:,:,s0)*z0l                  +B_i(:,:,s0)*em(1:nz2,ih+2);
        else
            z0l=z0q;
        end
    end
end