function [mu_z,mu_y,Sigma_z,Sigma_y,Corr_z,Corr_y] = DSGE_MS_moments(y_,a_i,A1,A2,B_i,c_j,C1,C2,D,pv,J)
[nz,ncs]=size(a_i);
%nz1=size(B_i,2);
ny=size(c_j,1);
% S_z=zeros(nz,nz,J+1);
% S_y=zeros(ny,ny,J+1);
Sigma_z=zeros(nz,nz,J+1);
Sigma_y=zeros(ny,ny,J+1);
Corr_z=zeros(nz,nz,J+1);
Corr_y=zeros(ny,ny,J+1);
a_=a_i*pv;
c_=c_j*pv;
%c__=c_-y_;
BB_=zeros(nz,nz);
for ics=1:ncs
    BB_=BB_+B_i(:,:,ics)*pv(ics)*B_i(:,:,ics)';    
end
S_z(:,:,1)=VAR1_vcv(A1,BB_,1e+4,1e-12);
mu_z=(eye(nz)-A1)\(a_+A2*vech_(S_z(:,:,1)));
mu_z_=zeros(nz,1);
mumu_z=mu_z_*mu_z_';
Sigma_z(:,:,1)=S_z(:,:,1)-mumu_z;
mu_y=c_+C1*mu_z+C2*vech_(S_z(:,:,1));
mu_y_=y_;
mumu_y=mu_y_*mu_y_';
%S0=(C1*mu_z+c__+C2*vech_(S_z(:,:,1)))*y_';
%S0=S0+S0'+mumu_y;
S0=mumu_y;
S_y(:,:,1)=S0+C1*S_z(:,:,1)*C1'+D*D';
Sigma_y(:,:,1)=S_y(:,:,1)-mumu_y;
DiagSig_z=diag(1./sqrt(diag(squeeze(Sigma_z(:,:,1)))));
DiagSig_y=diag(1./sqrt(diag(squeeze(Sigma_y(:,:,1)))));
Corr_z(:,:,1)=DiagSig_z*Sigma_z(:,:,1)*DiagSig_z;
Corr_y(:,:,1)=DiagSig_y*Sigma_y(:,:,1)*DiagSig_y;
for iJ=2:J+1    
    S_z(:,:,iJ)=A1*S_z(:,:,iJ-1);
    Sigma_z(:,:,iJ)=S_z(:,:,iJ)-mumu_z;
    S_y(:,:,iJ)=S0+C1*S_z(:,:,iJ)*C1';
    Sigma_y(:,:,iJ)=S_y(:,:,iJ)-mumu_y;
    Corr_z(:,:,iJ)=DiagSig_z*Sigma_z(:,:,iJ)*DiagSig_z;
    Corr_y(:,:,iJ)=DiagSig_y*Sigma_y(:,:,iJ)*DiagSig_y;
end