function delta0=DSGE_parameter_vector(delta00,simparndx,deltatrue)
% this is to handle equality restrictions 
% everything is achieved via specification of simparndx
% entries of simparndx == 1 means free parameters
% entries of simparndx == 0 means fixed parameters (to values corresponding
%                           to corrispondent elements of deltratrue
% entries of simparndx == - j means that the parameter is equal to
%                             delta0(j)
npar=length(simparndx);
sim1ndx=find(simparndx>0);
sim0ndx=find(simparndx==0);
sim_ndx=find(simparndx<0);
sim_ndx_=-simparndx(simparndx<0);
delta0=zeros(npar,1);
delta0(sim1ndx)=delta00;
delta0(sim0ndx)=deltatrue(sim0ndx);
delta0(sim_ndx)=delta0(sim_ndx_);