function outm = array2mat(ina,sv)
%array2mat: extract fro 3 dimensional array 
% a 2 dimensional matrix using the vector of indexes sv on the 3rd dimension of the array
% inputs 
%      ina     =    (T x n x m) array
%      sv      =    (T x 1) vector
%      outm    =    (T x n)  matrix such that outm(it,in)=ina(it,in,sv(it))
[T,n,m]=size(ina);
outm=zeros(T,n);
for im=1:m
    outm(sv==im,:)=ina(sv==im,:,im);
end