function ccc=mean_std_quantiles(aaa,qv)
% this function takes in array aaa in which last dimension is the number of
% simulated objects and computes mean, std and quantiles in qv vector
% eg if aaa is (n x k x M) and qv=[.025 .5 .975]
% output is ccc (n x k x 5) where first page is mean, second page is std
% and 3rd 4th and 5th pages are .025 .5 and .975 quantiles 
ndims_=ndims(aaa);
nq=length(qv);
M=size(aaa,ndims_);
bbb=sort(aaa,ndims_);
str_index='';
str_index_='';
for ik=1:ndims_-1
    str_index=[str_index ':,'];
    str_index_=[str_index_ 'size(aaa,' int2str(ik) '),';];
end
eval(['ccc=zeros(',str_index_ 'nq+2);']);
eval(['ccc(' str_index '1)=mean(aaa,ndims_);']);
eval(['ccc(' str_index '2)=std(aaa,0,ndims_);']);
eval(['ccc(' str_index '3:nq+2)=bbb(' str_index 'round(M*qv));']);
% 
% if ndims_==1
%     ccc=zeros(nq+2);
%     ccc(1)=mean(bbb);
%     ccc(2)=std(bbb);
%     ccc(3:end)=bbb(round(M*qv));
% elseif ndims_==2
%     ccc=zeros(size(aaa,1),nq+2);
%     ccc(:,1)=mean(bbb,2);
%     ccc(:,2)=std(bbb,0,2);
%     ccc(:,3:end)=bbb(:,round(M*qv));
% elseif ndims_==3
%     ccc=zeros(size(aaa,1),size(aaa,2),nq+2);
%     ccc(:,:,1)=mean(bbb,3);
%     ccc(:,:,2)=std(bbb,0,3);
%     ccc(:,:,3:end)=bbb(:,:,round(M*qv));    
% elseif ndims_==4
%     ccc=zeros(size(aaa,1),size(aaa,2),size(aaa,3),nq+2);
%     ccc(:,:,1)=mean(bbb,4);
%     ccc(:,:,2)=std(bbb,0,4);
%     ccc(:,:,3:end)=bbb(:,:,:,round(M*qv));       
% elseif ndims_==5
%     ccc=zeros(size(aaa,1),size(aaa,2),size(aaa,3),size(aaa,4),nq+2);
%     ccc(:,:,1)=mean(bbb,5);
%     ccc(:,:,2)=std(bbb,0,5);
%     ccc(:,:,3:end)=bbb(:,:,:,:,round(M*qv));       
% end