function lnpostv=DSGE_MS_Kim_Filter_one_output_4csminwel_mv(omegam,omegatrue,solution_routine_name,order,n1,n2,n3,n4,Rm,prior_type_ndxv,simparndx,Yo,Tini,ind_ekf)
% this differs from DSGE_MS_Kim_Filter_one_output since it allows u
% passed a matrix of arguments
% this version allows also for missing values
nk=size(omegam,2);
sim1ndx=find(simparndx==1);
% copy1ndx=find(simparndx>100);
% copy0ndx=simparndx(copy1ndx)-100;
% omega1=omegatrue;
% omega1(sim1ndx)=omegav;
% omega1(copy1ndx)=omega1(copy0ndx);
lnprior_const=DSGE_prior_lnconst1(Rm,prior_type_ndxv);
lnpostv=zeros(1,nk);
for ik=1:nk
    omegav=omegam(:,ik);
    omega1=DSGE_parameter_vector(omegav,simparndx,omegatrue);
    [deltav,lnjac,lnprior]=DSGE_repar1(omega1,Rm,1,prior_type_ndxv);
    lnprior=lnprior-lnjac+lnprior_const;
    lnprior=sum(lnprior(sim1ndx));
    retcode=1;
    T=size(Yo,1);
    eval(['[retcode,y_,gx,hx,gxx,hxx,gss,hss,eta,etastd]=' solution_routine_name '(order,deltav,n1,n2,n3,n4);']);
    if retcode==0
        lnpost=1e+200;
    else
        [a_i,A1_i,A2,B_i,c_j,C1_j,C2,D,Sigma_zz,tpa,pm,ctp,pv,s_vm,emv] = DSGE_MS_state_space_matrices_simple(gx,hx,gxx,hxx,gss,hss,eta,etastd,deltav);
        [retcode,lnlv,Za,Qa,pm] = DSGE_MS_Kim_Filter_mv(Yo,a_i,A1_i,A2,B_i,c_j,C1_j,C2,D,Sigma_zz,ctp,pv,ind_ekf);
        if retcode==0
            lnpost=1e+200;
        else
            lnl=sum(lnlv(Tini+1:end));
            lnpost=-(lnl+lnprior);
        end
    end
    lnpostv(ik)=lnpost;
end