function [notPDHessian_index,H] = DSGE_MS_postpdf_invHessian(solution_routine_name,n1,n2,n3,n4,order,omega0,omegatrue,epsg,Yo,subset_y,Tini,ind_ekf,simparndx,Rm,prior_type_ndxv)
%UNTITLED5 Summary of this function goes here
%   Detailed explanation goes here
sim1ndx=find(simparndx>0);
nsimpar=sum(simparndx>0);
T=size(Yo,1);
gradm=zeros(T,nsimpar);
[delta0,lnjac0,lnprior0]=DSGE_repar1(omega0,Rm,1,prior_type_ndxv);
eval(['[retcode,y_,gx,hx,gxx,hxx,gss,hss,eta,etastd] = ' solution_routine_name '(order,delta0,n1,n2,n3,n4);']);
[a_i,A1_i,A2,B_i,c_j,C1_j,C2,D,Sigma_zz,tpa,pm,ctp,pv,s_vm,emv] = DSGE_MS_state_space_matrices_simple(gx,hx,gxx,hxx,gss,hss,eta,etastd,delta0);
[retcode,lnlv,Za,Qa,Pm] = DSGE_MS_Kim_Filter_mv(Yo(:,subset_y),a_i,A1_i,A2,B_i,c_j(subset_y,:),C1_j(subset_y,:,:),C2(subset_y,:),D(subset_y,:),Sigma_zz,ctp,pv,ind_ekf);
lndensity0=lnlv(Tini+1:end);
h = waitbar(0,'Computing Hessian');
for ik=1:nsimpar
    omega1=omega0;
    omega1(sim1ndx(ik))=omega1(sim1ndx(ik))+epsg;
    omega1_=omega1(sim1ndx);
    omega1=DSGE_parameter_vector(omega1_,simparndx,omegatrue);
    [delta1,lnjac1,lnprior1]=DSGE_repar1(omega1,Rm,1,prior_type_ndxv);
    % re-evaluate the likelihood
    eval(['[retcode,y_,gx,hx,gxx,hxx,gss,hss,eta,etastd] = ' solution_routine_name '(order,delta1,n1,n2,n3,n4);']);
    [a_i,A1_i,A2,B_i,c_j,C1_j,C2,D,Sigma_zz,tpa,pm,ctp,pv,s_vm,emv] = DSGE_MS_state_space_matrices_simple(gx,hx,gxx,hxx,gss,hss,eta,etastd,delta1);
    %[retcode,lnlv,Za,Qa,Pm] = DSGE_MS_Kim_Filter(Yo(:,subset_y),a_i,A1_i,A2,B_i,c_j(subset_y,:),C1_j(subset_y,:,:),C2,D(subset_y,:),Sigma_zz,ctp,pv,ind_ekf);
    [retcode,lnlv,Za,Qa,Pm] = DSGE_MS_Kim_Filter_mv(Yo(:,subset_y),a_i,A1_i,A2,B_i,c_j(subset_y,:),C1_j(subset_y,:,:),C2(subset_y,:),D(subset_y,:),Sigma_zz,ctp,pv,ind_ekf);
    lndensity1=lnlv(Tini+1:end);
    gradm(:,ik)=(lndensity1-lndensity0)/epsg;
    waitbar(ik/nsimpar,h,['Computing Hessian: ' num2str(round(1e+2*ik/nsimpar)) ' % completed']);
end
close(h);
H0=-DSGE_prior_hessian(Rm,omega0,prior_type_ndxv);
H=diag(H0(sim1ndx))+(gradm'*gradm);
H=(H+H')/2;
if min(eig(H))<0
    H=diag(1./abs(diag(H)));
    notPDHessian_index=1;
else
    H=inv(H);
    notPDHessian_index=0;
end