function [zm,csiv,ym,sm,wm,vm] =  DSGE_MS_simulate_data(T,T0,i_KKSS,a_i,A1_i,A2,B_i,c_j,C1_j,C2,D,Sigma_zz,ctp,pv,emv)
T1=T0+T;
[nz,ncs]=size(a_i);
ns=floor(log(ncs)/log(2));
nz2=size(B_i,2);
nz1=nz-nz2;
ny=size(c_j,1);
nx=nz+ns;
ym=zeros(T1,ny);
zm=zeros(T1,nz); % dimension does not include initial values for state variables
sm=zeros(T1,ns);
wm=zeros(T1,nz2);
vm=zeros(T1,ny);
csiv=zeros(T1,1); % this is synthetic indicator of multivariate MS variable
is00=draw_multinom(pv,1,ncs,1); %taken from ergodic distribution
z00=(chol(Sigma_zz)')*randn(nz,1);
z0=z00;
is0=is00;
z0Q=z00;
z0L=z00;
z0quad=quadc1(z0L);
tic;
for it=1:T1
    is1=draw_multinom(ctp(is0,:)',1,ncs,1);
    wz1=randn(nz2,1);
    wm(it,:)=wz1';
    wz1=B_i(:,:,is0)*wz1;
    z1L=a_i(:,is0)+A1_i(:,:,is0)*z0L+wz1;
    z1Q=a_i(:,is0)+A1_i(:,:,is0)*z0Q+A2*z0quad+wz1;
    if i_KKSS==0
       z1L=z1Q;
    end
    z1quad=quadc1(z1L);
    v1=randn(ny,1);
    vm(it,:)=v1';
    v1=D*v1;
    y1=c_j(:,is1)+C1_j(:,:,is1)*z1Q+C2*z1quad+v1;
    csiv(it)=is1;
    zm(it,:)=z1Q';
    ym(it,:)=y1';    
    z0L=z1L;
    z0Q=z1Q;
    z0quad=z1quad;
    is0=is1;
end
zm=zm(T0+1:end,:);
csiv=csiv(T0+1:end);
ym=ym(T0+1:end,:);
wm=wm(T0+1:end,:);
vm=vm(T0+1:end,:);
sm=make_multivariate_state_indicator(ns,csiv)';