function Sigma_x=VAR1_vcv(A,Sigma_e,niter,tol)
nz=size(A,1);
if niter==0
Sigma_x=reshape((eye(nz^2)-kron(A,A))\Sigma_e(:),nz,nz);    
else
    Sigma_x=A*Sigma_e*A';
    for i1=1:niter
        Sigma_x1=A*Sigma_x*A'+Sigma_e;
        if max(max(abs(Sigma_x1-Sigma_x))) > tol
            Sigma_x=Sigma_x1;
        else
            break;
        end
    end
end
