function [model_name,x_str,y_str,s_str,np] = RATTS_2020_define()
%UNTITLED4 Summary of this function goes here
%   Detailed explanation goes here
model_name='RATTS_2020';
% With Trabandt-Uhlig utility, simpler state space representation (no discrete states)
% and a deterministic trend for technology growth 
% The variables are ordered as follows
% x = [lag_I lag_Pi lag_C lag_Y xi_t z_t pol_t mu_t G_t ];
% y = [Pi_t C_t J_t Y_t I_t Lam_t dum_t deltaC deltaY]; 
x_str=[];
x_str{1}='lag_I';
x_str{2}='lag_Pi';
x_str{3}='lag_C';
x_str{4}='lag_Y';
x_str{5}='xi_t';
x_str{6}='z_t';
x_str{7}='pol_t';
x_str{8}='mu_t';
x_str{9}='G_t';
%
y_str=[];
y_str{1}='Pi_t';
y_str{2}='C_t';
y_str{3}='J_t';
y_str{4}='Y_t';
y_str{5}='I_t';
y_str{6}='Lam_t';
y_str{7}='dum_t';
y_str{8}='deltaC';
y_str{9}='deltaY';
%
s_str=[];
s_str{1}='Pistar state';
s_str{2}='monpol state';
s_str{3}='zi state';
%
np=40;
