function irfa = MS_DSGE_GIRF(solution_matrices,z0,ev,em,s0v,ndx_prune)
[~,~,~,B_i,c_j,~,~,~,~,~]=v2struct(solution_matrices);
[nz,nz2,~]=size(B_i);
ny=size(c_j,1);
nh=size(em,2)-1; % em contains shocks from t=0 to t+nh;
% s0v contains states from t-1 to t+nh
% fill with random draws the elements of em that are not NaN
em(isnan(em(:)))=randn(numel(em(isnan(em(:)))),1);
irfa=zeros(nz+ny,nz2,nh+1);
for iz=1:nz2
    ea=repmat(em,1,1,2);
    ea(iz,1,2)=ea(iz,1,2)+ev(iz);
    dataa=zeros(nz+ny,nh+1,2);
    for ik=1:2
       dataa(:,:,ik) = MS_DSGE_dynamic_simulation(...
           solution_matrices,z0,ea(:,:,ik),s0v,ndx_prune);
    end
    irfa(:,iz,:)=dataa(:,:,2)-dataa(:,:,1);
end