clear; clc;
addpath(genpath('/cmc/scratch/m1gga00/matlab_code'));
% ====================================================
% to read parameter values
load ../../RATTS_2020_results;
param=param(:,1:np);
save param.mat param;
clear all;
%%
M=5e+3;
nh=40;
% Number of predetermined variables
n1 = 9 ;
% Number of non-predetermined variables
n2 = 9 ;
% Position of observable in non-predetermined vector
% pie,deltaC,deltaY, r
% NOTE: it does not take into account the yield
n3 = [1,8,9,5];
% Maturities used in estimation (in quarters)
n4 = [12,40];   % 3 and 5 years
%
ns=8;
nz=n1;
nz2=5;
ny=length(n3)+length(n4);
nme=ny;

% ====================================================
% Parameters
% ====================================================
%load delta0;
%load deltam;
load param;
load Yo_mv;
Yo_mv=Yo;
load Yo;
%deltav=delta0;
M_=size(param,1);
nthin=M_/M;
param_=param;
param=param(1:nthin:M_,1:40);
load forecasts.mat;
load ../premia_with_bands/premia.mat;
T0=size(filpremia,1);
figure(1);
for ip=1:2
    subplot(2,2,2*(ip-1)+1)
    plot1=plot(datesv(1:T0),400*[squeeze(filpremia(:,ip,[1 3 5]))  Yo(1:T0,4+ip)-EHdatam(1:T0,ip)]);
    cor=corr([squeeze(filpremia(1:T0,ip,1))  Yo(1:T0,4+ip)-EHdatam(1:T0,ip)]);
    set(plot1(1),'color','b','LineWidth',3);
    set(plot1(2),'color','b','LineWidth',1,'LineStyle','--');
    set(plot1(3),'color','b','LineWidth',1,'LineStyle','--');
    set(plot1(4),'color','r','LineWidth',3);
    title(['exhprs and term premium ' int2str(n4(ip)) ' periods, corr =' num2str(cor(2,1),'%3.2f')]);
    subplot(2,2,2*(ip-1)+2)
    scatter(400*(Yo(1:T0,4+ip)-EHdatam(1:T0,ip)),400*squeeze(filpremia(1:T0,ip,1)));
    title('exhpr vs term premium ');
end
orient(1,'portrait');
print(1,'-fillpage','exhprs_premia.pdf','-dpdf');
