clear; clc; close all;
load forward_ready_for_graphs.mat;


T=length(datesv);
dataa=zeros(T,2,3);
figure(1)
subplot(2,2,1)
plot1=plot(datesv,[forwardm(:,1) 400*ffilt(:,4)]);
dataa(:,:,1)=[forwardm(:,4) 400*ffilt(:,4)];
set(gca,'fontsize',20);
set(plot1(1),'Color','r','LineWidth',2);
set(plot1(2),'Color','b','LineWidth',2);
title('1 year ahead forward rate','fontsize',20);
%xlabel('order','fontsize',12);
%ylabel('autocorrelation','fontsize',12);
xlim([datesv(1) datesv(end)]);


subplot(2,2,2)
plot1=plot(datesv,[forwardm(:,3) 400*ffilt(:,12)]);
dataa(:,:,2)=[forwardm(:,3) 400*ffilt(:,12)];
set(gca,'fontsize',20);
set(plot1(1),'Color','r','LineWidth',2);
set(plot1(2),'Color','b','LineWidth',2);
title('3 year ahead forward rate','fontsize',20);
%xlabel('order','fontsize',12);
%ylabel('autocorrelation','fontsize',12);
xlim([datesv(1) datesv(end)]);

subplot(2,2,3)
plot1=plot(datesv,[forwardm(:,10) 400*ffilt(:,39)]);
dataa(:,:,3)=[forwardm(:,10) 400*ffilt(:,39)];

set(gca,'fontsize',20);
set(plot1(1),'Color','r','LineWidth',2);
set(plot1(2),'Color','b','LineWidth',2);
title('10 year head forward rate','fontsize',20);
legend({'Actual','Model based'},'Location','Best','FontSize',8);

figure_filename='forward_rates';
orient(1,'landscape');
saveas(1,figure_filename,'fig');
saveas(1,figure_filename,'png');
%export_fig(figure_filename,'-zbuffer','-r600')

saveas(1,figure_filename,'bmp');
print(1,'-dpsc2',figure_filename);
print(1,'-dpdf',figure_filename);

close(1);

datam=[datesv reshape(dataa,T,6)];
col_str={'dates','actual 1 year', 'model 1 year', 'actual 3 year', 'model 3 year', ...
    'actual 10 year', 'model 10 year'};
